<img src="https://raw.githubusercontent.com/mooreatv/DynamicBoxer/master/DynamicBoxer.png" height=150 width=150 align=right>

# DynamicBoxer

DynamicBoxer now also works without ISBoxer thanks to [MAMA](https://www.curseforge.com/wow/addons/mama-multiboxing) and even better when using the only and best (and compliant with blizzard's rules) open source multiboxing software [www.WowOpenBox.org](https://www.WowOpenBox.org).

Note you can use all 3/combinations as well (Isboxer+DynamicBoxer+Mama or WOB+DynamicBoxer+Mama or Isboxer+DynamicBoxer...)

Works with all World of Warcraft versions: Dragonflight, Classic Era, Wrath of the Lich King Classic etc...

ISBoxer information:

The way ISBoxer works currently
is you need to go back outside of the game into the windows isboxer suite program each time you want
to create a new character or change whichever combination of characters you may want to be multi-boxing
with at the time.

This addon allows you to create only 1 team per layout and dynamically load any characters you wish into it

Likewise it lets you create new characters and teams dynamically without having to go back to isboxer suite, make changes there and export to innerspace

This is quite important for instance in classic when you can't create your teams ahead of time and want to get going asap with your teams

Get the binary release using curse/twitch client or on
https://www.curseforge.com/wow/addons/dynamicboxer or
on [WowInterface](https://www.wowinterface.com/downloads/info25009-DynamicBoxer.html)

The source of the addon resides at https://github.com/mooreatv/DynamicBoxer
(and the MoLib library at https://github.com/mooreatv/MoLib)

Releases detail/changes are on https://github.com/mooreatv/DynamicBoxer/releases and the ChangeLog.txt

**New** You can now get DynamicBoxer benefits without requiring the use of the banned ISBoxer: just add MAMA: https://www.curseforge.com/wow/addons/mama-multiboxing

### Q&A

#### Q: What does it do ?
A:
The core concept is to let you start isboxer/innerspace based on a layout (say 5 boxing with slot 2 healer and vfx in 1) once and then change which characters are actually in windows 1... N at will/whim.

It also works for brand new characters (making a new cool 5 Void Elf, team, just do it, no need to go back to windows)

#### Q: Why is that useful?

A:
Because you save time and only need a handful of core teams and "virtual"/role based characters in isboxer instead of dozens

#### Q: What else does it do ?
A:
A bunch of small utility things (and I can add more of you ask):
- It syncs up automatically your EMA team, in the order of the slots (no more "can't push settings" ever)
- It (optionally) auto invites your team
- It (optionally) auto converts to raid as needed, making for super fast 6+ team assembly
- Has extensive mouse over tooltips in the addon options and key bindings sections to let you discover the features


#### Q: How big/complicated is the setup?
A:
Turn on broadcasting and 3 keystrokes: Ctrl-C, Ctrl-V, Enter
do that once, and you're done forever, even if you login 100 different teams!

#### Q: Does it work cross realm ?
A:
Yes since 1.6 and that makes it a big time saver if you need to visit a lot of realms.
In that setup I recommend you don't change the slot1 but change the other slot(s) and set the auto invite to say slot 2 so everyone phases to slot 2's realm (the changing realm)


#### Q: I prefer to watch videos than read a wall of text !
A:

That's not a question, but a statement  You can watch this mini series:
https://www.youtube.com/watch?v=TseQzm4Ktb4&list=PLlutLO8wozeIy0U2htIL3O12bIE5cB1VA&index=1

#### Q: Do you have a demo?
A:

Yes (though it's a bit old, doesn't show the config UI or new commands, etc... and volume is low
https://www.youtube.com/watch?v=rWGP20xmXTI&list=PLlutLO8wozeIy0U2htIL3O12bIE5cB1VA

#### Q: Is there anything that won't work with it but would work with pure isboxer team reload/change ?
A:

First if you log the original team in, you get the exact same functionality + fast auto invite, auto raid conversion if needed/enabled, auto EMA team sync etc... so it's only additive feature wise, you don't loose anything

But yes, if you have a pro setup and try to swap say a Tank for a Healer in the same slot, DynamicBoxer will still remap the macros but they will be your Tank-style actions and thus not likely to be as helpful to your newly slotted Healer; yet if you you just need a quick swap in/out to collect some item, do a quest or anything of that sort, it will still save time and be functional (assist, broadcast, follow etc...), just don't go and do a Mythic + 20 with that setup :-)

#### Q: Does it/will it work with Classic ?
A:

Yes ! and it's great to get going even if you don't have characters created yet!

#### Q: I'm sold (or willing to try it), where do I get it?
A:

Wherever you like get your wow addons usually, typically on curse/twitch app or wow interface (search for "DynamicBoxer" with no space):

https://www.curseforge.com/wow/addons/dynamicboxer
https://www.wowinterface.com/downloads/info25009-DynamicBoxer.html

ps: "sold" for free and opensource (it's here on github!)


#### Q: How do I ask more questions?

A:
Ask here or catch me on discord
